{$I UOpt.INC}				(* Standard Conditional-Defines *)
unit Uline;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Mask, SysUtils;

type
  TLineDlg = class(TForm)
    BBTOK: TBitBtn;
    BBTCancel: TBitBtn;
    LabelLength: TLabel;
    LabelZL: TLabel;
    CheckBoxShowLength: TCheckBox;
    EditZL: TEdit;
    EditLength: TEdit;
    BitBtn1: TBitBtn;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    wDefaultZL		: WORD;
    wDefaultLength	: WORD;
    bShowTitleBar	: BOOLEAN;
    { Public declarations }
  published
    PROPERTY FDefaultZL: WORD WRITE wDefaultZL;
    PROPERTY FDefaultLength: WORD WRITE wDefaultLength;

  end;

var
  LineDlg: TLineDlg;

implementation

{$R *.DFM}

procedure TLineDlg.FormShow(Sender: TObject);

VAR
  strDummy : ShortString;

begin
strDummy := EditZL.Text;
WHILE Pos( ' ', strDummy) <> 0 DO
  Delete( strDummy, Pos( ' ', strDummy), 1 );
IF strDummy = '0' THEN
  EditZL.Text := IntToStr( wDefaultZL );

strDummy :=  EditLength.Text;
WHILE Pos( ' ', strDummy) <> 0 DO
  Delete( strDummy, Pos( ' ', strDummy), 1 );
IF strDummy = '0' THEN
  EditLength.Text  := IntToStr( wDefaultLength );

end;

end.
